GuidesAPI Reference
API Reference

Submit an overlay map for customized route matching.- Deprecated

Submit an overlay map with custom modifications, such as block road links, remove restrictions from road links, or insert new road links into the network. The modifications that you submit, as part of your overlay maps, are only visible to you but not to other customers. Also, these modifications are not uploaded to the official HERE map. Route matching can consider overlay maps. Note: This feature is deprecated.

Query Params
string
required

mandatory (unless in POST body). string. JSON structure describing the map changes.

boolean

optional. true/false. If true then geometry is not matched onto links if it is against the legal driving direction.

string

optional. If ACCESS specified then access restrictions of the overlay get applied into both driving direction. Per default they are applied into the direction of the order of points given. Can also be specified per overlay operation (parameter multidigitizedHandling)

string
string
Defaults to readonly

optional. string. Currently only readonly is supported.

string

Mandatory. String. Overlay map name, and layer name within this map. Case insensitive. Must start with OVERLAY and contain only characters. The maximum length of a layer name and the permitted characters can be looked up up in the service via /serviceconfiguration.json.

string
string

optional. number. Specifies how many meters apart the geometries of two new links can be, to establish a connection. Should not exceed a few meters.

string

optional. number. Specifies how many meters apart the geometries of a new link and an existing link can be, to establish connection. Should not exceed a few meters.

string

optional, default 0.6. 0.0 ... 1.0. Specify the minimum required road match confidence level. If a match is below this level, the service throws an error.

string

optional. string. Specifies the name of a user-defined function used to wrap the JSON response.

string
Defaults to true

optional, default 'true'. Set to 'false' if the layer upload response time is too big otherwise. If 'false' then /search/all.json will not work on this layer.

string

optional. number. Default 100 meter. Specifies how many meters around a given point to search for existing geometries. Should not exceed a few meters.

string

optional. 0 or 1. Default 0. 0 does sophisticated geometry match. 1 does a quicker check which is usually sufficient if the geometries fit exactly to the existing road network.

string

optional. Overlay map name to be used as a base on top of whch to apply this overlay submission.

string
string

Comma separated list of app_ids which also have (per default read+export) access to this layer (specifying ownerAppId.mapName.layerName). Example &granted_app_ids=otherAppId1,otherAppId2

string
required

API key used to authenticate requests.

Body Params

An overlay description file consists of a JSON array with JSON objects. Each JSON object describes a single map modification operation. For more details, please check the documentation page with title 'Customize and augment the road network' under 'Concepts'.

Response

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json